=head1 NAME

GStreamer::ClockID

=cut


=head1 METHODS

=head2 unsigned integer = $id-E<gt>B<get_time> 

=head2 $id-E<gt>B<unschedule> 

=head2 list = $id-E<gt>B<wait> 

=head2 clockreturn = $id-E<gt>B<wait_async> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::ClockReturn

=over

=item * 'ok' / 'GST_CLOCK_OK'

=item * 'early' / 'GST_CLOCK_EARLY'

=item * 'unscheduled' / 'GST_CLOCK_UNSCHEDULED'

=item * 'busy' / 'GST_CLOCK_BUSY'

=item * 'badtime' / 'GST_CLOCK_BADTIME'

=item * 'error' / 'GST_CLOCK_ERROR'

=item * 'unsupported' / 'GST_CLOCK_UNSUPPORTED'

=item * 'done' / 'GST_CLOCK_DONE'

=back




=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

